@import url("backgrounds.css");

body {
    height: 100%;
    width: 100%;
    overflow: hidden;
    user-select: none;
    margin: 0px;
    position: fixed;
}

:root {
    --buttonbackground: linear-gradient(
            102.7deg,
            rgb(253, 218, 255) 8.2%,
            rgb(223, 173, 252) 19.6%,
            rgb(173, 205, 252) 36.8%,
            rgb(173, 252, 244) 73.2%,
            rgb(202, 248, 208) 90.9%
    );
    --buttonhover: rgba(170, 170, 170, 0.26);
}

.card1 {
    animation: flip-card1 3s infinite;
}

.card2 {
    animation: flip-opposite-card2 3s infinite;
}

.card3 {
    animation: flip1 2.5s;
}

.card4 {
    animation: flip2 2.5s forwards running;
}


@keyframes flip-card1 {
    0% {
        transform: perspective(600px) rotateY(180deg);
    }
    50% {
        transform: perspective(600px) rotateY(0deg);
    }
    100% {
        transform: perspective(600px) rotateY(-180deg);
    }
}

@keyframes flip-opposite-card2 {
    0% {
        transform: perspective(600px) rotateY(-180deg);
    }
    50% {
        transform: perspective(600px) rotateY(0deg);
    }
    100% {
        transform: perspective(600px) rotateY(180deg);
    }
}

@keyframes flip1 {
    0% {
        transform: perspective(600px) rotateY(180deg);
    }
    100% {

        transform: perspective(600px) rotateY(0deg);
    }
}

@keyframes flip2 {
    0% {
        transform: perspective(600px) rotateY(0deg);
    }
    100% {

        transform: perspective(600px) rotateY(180deg);
    }
}

@font-face {
    font-family: myFirstFont;
    src: url("../Font.ttf");
}


.home-pictures {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    height: 285px;
    width: 225px;
    scale: 52%;
}

#home-pictures-inner-left, #home-pictures-inner-right, .dropr-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: transform 0.6s;
    transform-style: preserve-3d;
    border: none !important;
}
.home-pictures.left {
    /*left: 0; !* Position the container on the left side *!*/
    transform: rotate(-10deg)
}

.home-pictures.right {
    /*right: 0; !* Position the container on the right side *!*/
    transform: rotate(10deg)
}

#home-pictures-inner-left{
    animation: flip-card1 3s infinite;
}

#home-pictures-inner-right{
    animation: flip-opposite-card2 3s infinite;
}

.home-pictures-front, .home-pictures-back, .dropr-inner-front, .dropr-inner-back {
    position: absolute;
    width: 100%;
    height: 100%;
}

.home-pictures-back, .dropr-inner-back{
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.home-pictures-front, .dropr-inner-front{
    transform: scaleX(-1);
}

.dropr-inner{
    width: 150px;
    height: 210px;
}

.home-ui {
    display: flex;
    flex-direction: column;
    /* gap: 250px; */
    height: 100%;
    width: 100%;
    justify-content: space-around;
    align-items: center;
    position: fixed;
    /*z-index: -1;*/
}

#title-of-game {
    margin: 10px;
    /*padding-top: 20px;*/
    font-size: 150px;
    /*border-bottom: 5px solid black;*/
    text-decoration: solid;
    text-align: center;
    font-family: myFirstFont;
    src: url("../Font.ttf");
    color: black;
    text-shadow: 2px 0 #fff, -2px 0 #fff, 0 2px #fff, 0 -2px #fff, 1px 1px #fff, -1px -1px #fff, 1px -1px #fff, -1px 1px #fff;
}

.home-screen-buttons {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
    align-items: center;
}

html {
    height: 100%
}

.home-screen-buttons button {
    display: block;
    font-family: 'myFirstFont';
    font-size: 5em;
    color: black;
    font-weight: 800;
    text-decoration: none;
    background: none;
    transition: 0.4s;
    border: none;
    text-transform: uppercase;
    max-width: fit-content;
    cursor: pointer;
    text-shadow: 2px 0 #fff, -2px 0 #fff, 0 2px #fff, 0 -2px #fff,
    1px 1px #fff, -1px -1px #fff, 1px -1px #fff, -1px 1px #fff;
}

.home-screen-buttons button:hover {
    color: #333;
}


/* Home screen button select, ANIMATED BUTTON + ANIMATED ICON */
.home-screen-buttons img {
    visibility: hidden;
    width: 40px;
    transform: rotate(-0.25turn);
    width: 40px;
    display: inline-flex;
    align-items: center;
    position: fixed;
    border: solid black;
    background-color: white;
    border-radius: 10%;
    margin: 20px;
}

.home-screen-buttons button:hover img {
    visibility: visible;
    animation-name: slideleft;
    animation-duration: 1.1s;
    animation-iteration-count: infinite;
}

@keyframes slideleft {

    0% {
        transform: translateX(20px) rotate(-0.25turn);
        /*margin-left: 15px;*/
    }

    50% {
        transform: translateX(5px) rotate(-0.25turn);
        /*margin-left: 0px;*/
    }
    100% {
        transform: translateX(20px) rotate(-0.25turn);
        /*margin-left: 0px;*/
    }

}

/* Home screen button select, NO ANIMATED BUTTON + ANIMATED ICON */

/* .home-screen-buttons img {
    visibility: hidden;
    width: 40px;

}
.home-screen-buttons button:hover img{
    visibility: visible;
    transform: rotate(-0.25turn);
    width: 40px;
    display:inline-flex;
    align-items: center;
    position: relative;
    animation-name: slideleft;
    animation-duration: 1.1s;
    /* border: solid black;
    background-color: white;
}

@keyframes slideleft {

    0%{
        transform: translate(50px,0px)rotate(-0.25turn);
    }

    100%{
        transform: translate(0px,0px)rotate(-0.25turn);
    }


} */

@keyframes bg-animate {
    0% {
        transform: translate(-100px, -100px);
    }

    100% {
        transform: translate(-200px, -200px);
    }
}

@keyframes logo-animation {
    0%, 24.99%, 100% {
        background-image: url("../Images/clubs.svg");

    }
    25%, 49.99% {
        background-image: url("../Images/spades.svg");

    }
    50%, 74.99% {
        background-image: url("../Images/diamonds.svg");

    }
    75%, 99.99% {
        background-image: url("../Images/hearts.svg");

    }
}

.header {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    height: 205px;
}

.logo {
    animation-name: logo-animation;
    animation-duration: 1s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    animation-play-state: running;
    height: 40px;
    min-width: 50px;
    background-repeat: no-repeat;
    background-size: contain;
    position: relative;
    left: 250px;
}


#Main-phase {
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    border: none !important;
    flex-direction: column;
}

#p1handcontainer, #p2handcontainer {
    bottom: -15%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
    border: none !important;
    transition: transform 1s, opacity 2s;
    height: 210px;
}

#p1handcontainer .card, #p2handcontainer .card{
    height: fit-content;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: 0.5s;
    transform-origin: 50% 100%;
    width: 150px;
}

.notification {
    display: none;
    position: fixed;
    top: 20px;
    left: 50%;
    transform: translateX(-50%);
    padding: 10px 20px;
    background-color: rgba(0, 256, 0, 0.4);
    color: #fff;
    border-radius: 5px;
    z-index: 9999;
    font-family: "Inter", "Roobert", "Helvetica Neue", Helvetica, Arial, sans-serif;
    text-transform: uppercase;
    font-weight: bold;
}


.dropport {
    display: flex;
    height: 30%;
    top: 45%;
    background-color: white;
    width: 550px;
    border-style: double;
    border-color: #767676;
    border-radius: 8px;
    border-left-width: 20px;
    background-color: #8e8b8b;
    align-items: center;
    justify-content: space-evenly;
    padding: 10px;
    height: 250px;
    transition: all 1s;
}

#dropl, #dropr {
    width: 33%;
    height: 100%;
    border: none !important;
    display: flex;
    justify-content: center;
    align-items: center;
}

#timer {
    height: fit-content;
    width: 200px;
    text-align: center;
    font-family: 'myFirstFont';
    text-shadow: 2px 0 #fff, -2px 0 #fff, 0 2px #fff, 0 -2px #fff, 1px 1px #fff, -1px -1px #fff, 1px -1px #fff, -1px 1px #fff;
    font-size: 70px;
}


.hidden {
    display: none !important;
}

.invisible{
    visibility: hidden;
}

.wait {
    margin: auto;
    height: 50vh;
    width: 50vh;
    background-color: rgb(255, 0, 0);
    color: rgb(255, 255, 255);
    text-align: center;
    font-size: 5vh;


}

.joker-img {
    max-width: 200px;
    max-height: 200px;
}

.heightcheck img {
    height: 30vh;
}

#room-ID {
    width: 20vh;
    height: 20vh;
}

.showcode {
    background-color: greenyellow;
    height: 20vh;
    width: 40vh;
    color: white;
    font-size: larger;
}




.button-container {
    display: flex;
    gap: 1rem;
    margin-top: 2rem;
}

.wait-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 2rem;
}

.wait-phase button {
    display: block;
    font-family: 'myFirstFont';
    font-size: 5em;
    color: black;
    font-weight: 800;
    text-decoration: none;
    background: none;
    transition: 0.4s;
    border: none;
    text-transform: uppercase;
    max-width: fit-content;
    cursor: pointer;
    text-shadow: 2px 0 #fff, -2px 0 #fff, 0 2px #fff, 0 -2px #fff, 1px 1px #fff, -1px -1px #fff, 1px -1px #fff, -1px 1px #fff;
    padding-left: 57px;
}

.wait-phase button:hover {
    color: #333;
}

.wait-phase button img {
    visibility: hidden;
    width: 40px;
    transform: rotate(-0.25turn);
    display: inline-flex;
    align-items: center;
    position: absolute;
    border: solid black;
    background-color: white;
    border-radius: 10%;
    margin: 10px;
    margin-left: 20px;
}
.wait-phase button:hover img {
    visibility: visible;
    animation-name: slideleft;
    animation-duration: 1.1s;
    animation-iteration-count: infinite;
}

.wait-phase {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.wait-phase .wait {
    margin-bottom: 2rem;
}

.wait-phase .p1handcontainer {
    margin-top: 2rem;
}

#error-background{
    display: flex;
    flex-direction: column;
    width: 600px;
    height: 400px;
    justify-content: space-around;
    align-items: center;
    border: solid white;
    border-radius: 20px;
    animation: none;
    opacity: 1;
}

#play-game-options{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

#play-game-options-inner button{
    min-width: 650px;
}

#play-game-options-inner{
    display: flex;
    max-width: 650px;
    max-height: 100px;
    overflow: hidden;
}